kate Library: KateBufBlockList Class Reference (kate Library)

| # kate Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KateBufBlockList Class Reference

list which allows O(1) inserts/removes will not delete the elements on remove will use the next/prevNode pointers in the KateBufBlocks ! internal use: loaded/clean/dirty block lists More...

`#include <katebuffer.h>`

Collaboration diagram for KateBufBlockList:

[legend]
List of all members.

## Public Member Functions
| KateBufBlockList ()
uint | count () const
KateBufBlock * | first ()
KateBufBlock * | last ()
bool | isFirst (KateBufBlock *buf)
bool | isLast (KateBufBlock *buf)
void | append (KateBufBlock *buf)
## Static Public Member Functions
static void | remove (KateBufBlock *buf)

## Detailed Description

list which allows O(1) inserts/removes will not delete the elements on remove will use the next/prevNode pointers in the KateBufBlocks ! internal use: loaded/clean/dirty block lists

Author:
  Christoph Cullmann <cullmann@kde.org>

Definition at line 248 of file katebuffer.h.

## Constructor & Destructor Documentation

KateBufBlockList::KateBufBlockList | ( |  | ) |

| Default Constructor. Definition at line 1476 of file katebuffer.cpp.

## Member Function Documentation

uint KateBufBlockList::count | ( |  | ) | const`[inline]`

| count of blocks in this list Returns: count of blocks Definition at line 261 of file katebuffer.h. Referenced by KateBufBlock::KateBufBlock().

KateBufBlock* KateBufBlockList::first | ( |  | ) | `[inline]`

| first block in this list or 0 Returns: head of list Definition at line 267 of file katebuffer.h. Referenced by KateBufBlock::KateBufBlock().

KateBufBlock* KateBufBlockList::last | ( |  | ) | `[inline]`

| last block in this list or 0 Returns: end of list Definition at line 273 of file katebuffer.h.

bool KateBufBlockList::isFirst | ( | KateBufBlock * | buf | ) | `[inline]`

  | is buf the last block? Parameters:
  | buf | block to test
Returns: is this block the first one? Definition at line 280 of file katebuffer.h.

bool KateBufBlockList::isLast | ( | KateBufBlock * | buf | ) | `[inline]`

  | is buf the last block? Parameters:
  | buf | block to test
Returns: is this block the last one? Definition at line 287 of file katebuffer.h. Referenced by KateBufBlock::line(), and KateBufBlock::markDirty().

void KateBufBlockList::append | ( | KateBufBlock * | buf | ) |

  | append a block to this list ! will remove it from the list it belonged before ! Parameters:
  | buf | block to append
Definition at line 1483 of file katebuffer.cpp. References KateBufBlock::list, KateBufBlock::listNext, and KateBufBlock::listPrev. Referenced by KateBufBlock::KateBufBlock(), KateBufBlock::line(), and KateBufBlock::markDirty().

static void KateBufBlockList::remove | ( | KateBufBlock * | buf | ) | `[inline, static]`

  | remove the block from the list it belongs to ! Parameters:
  | buf | block to remove
Definition at line 300 of file katebuffer.h. References KateBufBlock::list, and removeInternal(). Referenced by KateBufBlock::~KateBufBlock().

The documentation for this class was generated from the following files:

- katebuffer.h
- katebuffer.cpp

This file is part of the documentation for kate Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:36:45 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003